#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 224
#define LARGE_STATE_COUNT 11
#define SYMBOL_COUNT 76
#define ALIAS_COUNT 3
#define TOKEN_COUNT 49
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 1
#define MAX_ALIAS_SEQUENCE_LENGTH 4
#define PRODUCTION_ID_COUNT 5

enum {
  anon_sym_datasource = 1,
  anon_sym_model = 2,
  anon_sym_generator = 3,
  anon_sym_type = 4,
  anon_sym_enum = 5,
  sym_developer_comment = 6,
  aux_sym_comment_token1 = 7,
  anon_sym_LBRACE = 8,
  anon_sym_RBRACE = 9,
  anon_sym_EQ = 10,
  anon_sym_AMP_AMP = 11,
  anon_sym_PIPE_PIPE = 12,
  anon_sym_GT_GT = 13,
  anon_sym_GT_GT_GT = 14,
  anon_sym_LT_LT = 15,
  anon_sym_AMP = 16,
  anon_sym_CARET = 17,
  anon_sym_PIPE = 18,
  anon_sym_PLUS = 19,
  anon_sym_DASH = 20,
  anon_sym_STAR = 21,
  anon_sym_SLASH = 22,
  anon_sym_PERCENT = 23,
  anon_sym_STAR_STAR = 24,
  anon_sym_LT = 25,
  anon_sym_LT_EQ = 26,
  anon_sym_EQ_EQ = 27,
  anon_sym_EQ_EQ_EQ = 28,
  anon_sym_BANG_EQ = 29,
  anon_sym_BANG_EQ_EQ = 30,
  anon_sym_GT_EQ = 31,
  anon_sym_GT = 32,
  anon_sym_DOT = 33,
  anon_sym_COLON = 34,
  anon_sym_AT = 35,
  anon_sym_AT_AT = 36,
  anon_sym_LPAREN = 37,
  anon_sym_COMMA = 38,
  anon_sym_RPAREN = 39,
  aux_sym_identifier_token1 = 40,
  sym_string = 41,
  sym_number = 42,
  anon_sym_LBRACK = 43,
  anon_sym_RBRACK = 44,
  sym_maybe = 45,
  sym_true = 46,
  sym_false = 47,
  sym_null = 48,
  sym_program = 49,
  sym_datasource_declaration = 50,
  sym_model_declaration = 51,
  sym_generator_declaration = 52,
  sym_type_declaration = 53,
  sym_enum_declaration = 54,
  sym_comment = 55,
  sym_statement_block = 56,
  sym_enum_block = 57,
  sym_column_declaration = 58,
  sym_assignment_expression = 59,
  sym_binary_expression = 60,
  sym_member_expression = 61,
  sym_column_type = 62,
  sym_type_expression = 63,
  sym_call_expression = 64,
  sym_attribute = 65,
  sym_block_attribute_declaration = 66,
  sym_arguments = 67,
  sym_identifier = 68,
  sym_enumeral = 69,
  sym_array = 70,
  aux_sym_program_repeat1 = 71,
  aux_sym_type_declaration_repeat1 = 72,
  aux_sym_statement_block_repeat1 = 73,
  aux_sym_enum_block_repeat1 = 74,
  aux_sym_arguments_repeat1 = 75,
  alias_sym_property_identifier = 76,
  alias_sym_type_declaration_type = 77,
  alias_sym_variable = 78,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_datasource] = "datasource",
  [anon_sym_model] = "model",
  [anon_sym_generator] = "generator",
  [anon_sym_type] = "type",
  [anon_sym_enum] = "enum",
  [sym_developer_comment] = "developer_comment",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_EQ] = "=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_COLON] = ":",
  [anon_sym_AT] = "@",
  [anon_sym_AT_AT] = "@@",
  [anon_sym_LPAREN] = "(",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_identifier_token1] = "identifier_token1",
  [sym_string] = "string",
  [sym_number] = "number",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_maybe] = "maybe",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_program] = "program",
  [sym_datasource_declaration] = "datasource_declaration",
  [sym_model_declaration] = "model_declaration",
  [sym_generator_declaration] = "generator_declaration",
  [sym_type_declaration] = "type_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_comment] = "comment",
  [sym_statement_block] = "statement_block",
  [sym_enum_block] = "enum_block",
  [sym_column_declaration] = "column_declaration",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_member_expression] = "member_expression",
  [sym_column_type] = "column_type",
  [sym_type_expression] = "type_expression",
  [sym_call_expression] = "call_expression",
  [sym_attribute] = "attribute",
  [sym_block_attribute_declaration] = "block_attribute_declaration",
  [sym_arguments] = "arguments",
  [sym_identifier] = "identifier",
  [sym_enumeral] = "enumeral",
  [sym_array] = "array",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_statement_block_repeat1] = "statement_block_repeat1",
  [aux_sym_enum_block_repeat1] = "enum_block_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_type_declaration_type] = "type_declaration_type",
  [alias_sym_variable] = "variable",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_datasource] = anon_sym_datasource,
  [anon_sym_model] = anon_sym_model,
  [anon_sym_generator] = anon_sym_generator,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_enum] = anon_sym_enum,
  [sym_developer_comment] = sym_developer_comment,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_AT_AT] = anon_sym_AT_AT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [sym_string] = sym_string,
  [sym_number] = sym_number,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym_maybe] = sym_maybe,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_program] = sym_program,
  [sym_datasource_declaration] = sym_datasource_declaration,
  [sym_model_declaration] = sym_model_declaration,
  [sym_generator_declaration] = sym_generator_declaration,
  [sym_type_declaration] = sym_type_declaration,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_comment] = sym_comment,
  [sym_statement_block] = sym_statement_block,
  [sym_enum_block] = sym_enum_block,
  [sym_column_declaration] = sym_column_declaration,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_column_type] = sym_column_type,
  [sym_type_expression] = sym_type_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_attribute] = sym_attribute,
  [sym_block_attribute_declaration] = sym_block_attribute_declaration,
  [sym_arguments] = sym_arguments,
  [sym_identifier] = sym_identifier,
  [sym_enumeral] = sym_enumeral,
  [sym_array] = sym_array,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_statement_block_repeat1] = aux_sym_statement_block_repeat1,
  [aux_sym_enum_block_repeat1] = aux_sym_enum_block_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_type_declaration_type] = alias_sym_type_declaration_type,
  [alias_sym_variable] = alias_sym_variable,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_datasource] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_model] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_generator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [sym_developer_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_maybe] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_datasource_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_model_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_block] = {
    .visible = true,
    .named = true,
  },
  [sym_column_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_column_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_block_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumeral] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statement_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_declaration_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_variable] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_operator = 1,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_operator] = "operator",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [4] = {.index = 0, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_operator, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [2] = alias_sym_type_declaration_type,
  },
  [2] = {
    [0] = alias_sym_variable,
  },
  [3] = {
    [2] = alias_sym_property_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_identifier, 4,
    sym_identifier,
    alias_sym_property_identifier,
    alias_sym_type_declaration_type,
    alias_sym_variable,
  0,
};

static inline bool aux_sym_identifier_token1_character_set_1(int32_t c) {
  return (c < '{'
    ? (c < '\''
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '?' || (c < '`'
        ? (c >= '[' && c <= ']')
        : c <= '`')))
    : (c <= '~' || (c < 8239
      ? (c < 8192
        ? c == 5760
        : c <= 8202)
      : (c <= 8239 || (c < 12288
        ? c == 8287
        : c <= 12288)))));
}

static inline bool aux_sym_identifier_token1_character_set_2(int32_t c) {
  return (c < '{'
    ? (c < '.'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '+')))
      : (c <= '@' || (c < '`'
        ? c == '^'
        : c <= '`')))
    : (c <= '~' || (c < 8239
      ? (c < 8192
        ? c == 5760
        : c <= 8202)
      : (c <= 8239 || (c < 12288
        ? c == 8287
        : c <= 12288)))));
}

static inline bool aux_sym_identifier_token1_character_set_3(int32_t c) {
  return (c < '|'
    ? (c < '0'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= ',')))
      : (c <= '>' || (c < '`'
        ? (c >= ']' && c <= '^')
        : c <= '`')))
    : (c <= '~' || (c < 8239
      ? (c < 8192
        ? c == 5760
        : c <= 8202)
      : (c <= 8239 || (c < 12288
        ? c == 8287
        : c <= 12288)))));
}

static inline bool aux_sym_identifier_token1_character_set_4(int32_t c) {
  return (c < '{'
    ? (c < '.'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= ',')))
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : (c <= '^' || c == '`'))))
    : (c <= '~' || (c < 8239
      ? (c < 5760
        ? c == 160
        : (c <= 5760 || (c >= 8192 && c <= 8203)))
      : (c <= 8239 || (c < 12288
        ? (c >= 8287 && c <= 8288)
        : (c <= 12288 || c == 65279))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(55);
      if (lookahead == '!') ADVANCE(8);
      if (lookahead == '"') ADVANCE(3);
      if (lookahead == '%') ADVANCE(80);
      if (lookahead == '&') ADVANCE(72);
      if (lookahead == '\'') ADVANCE(4);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(96);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '+') ADVANCE(75);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '-') ADVANCE(76);
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '<') ADVANCE(82);
      if (lookahead == '=') ADVANCE(66);
      if (lookahead == '>') ADVANCE(89);
      if (lookahead == '?') ADVANCE(114);
      if (lookahead == '@') ADVANCE(92);
      if (lookahead == '[') ADVANCE(112);
      if (lookahead == ']') ADVANCE(113);
      if (lookahead == '^') ADVANCE(73);
      if (lookahead == 'd') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(21);
      if (lookahead == 'm') ADVANCE(30);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 't') ADVANCE(36);
      if (lookahead == '{') ADVANCE(63);
      if (lookahead == '|') ADVANCE(74);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(8);
      if (lookahead == '%') ADVANCE(80);
      if (lookahead == '&') ADVANCE(72);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '+') ADVANCE(75);
      if (lookahead == '-') ADVANCE(77);
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '<') ADVANCE(82);
      if (lookahead == '=') ADVANCE(66);
      if (lookahead == '>') ADVANCE(89);
      if (lookahead == '@') ADVANCE(9);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == '^') ADVANCE(73);
      if (lookahead == '|') ADVANCE(74);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(1)
      if (!aux_sym_identifier_token1_character_set_1(lookahead)) ADVANCE(107);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(3);
      if (lookahead == '\'') ADVANCE(4);
      if (lookahead == ')') ADVANCE(96);
      if (lookahead == ',') ADVANCE(95);
      if (lookahead == '/') ADVANCE(6);
      if (lookahead == '=') ADVANCE(65);
      if (lookahead == '[') ADVANCE(112);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == ']') ADVANCE(113);
      if (lookahead == 'f') ADVANCE(97);
      if (lookahead == 'n') ADVANCE(106);
      if (lookahead == 't') ADVANCE(103);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(2)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      if (!aux_sym_identifier_token1_character_set_2(lookahead)) ADVANCE(107);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(3);
      END_STATE();
    case 4:
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(4);
      END_STATE();
    case 5:
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(6);
      if (lookahead == ':') ADVANCE(91);
      if (lookahead == '=') ADVANCE(65);
      if (lookahead == '?') ADVANCE(114);
      if (lookahead == '@') ADVANCE(92);
      if (lookahead == '[') ADVANCE(112);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == '{') ADVANCE(63);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      if (!aux_sym_identifier_token1_character_set_3(lookahead)) ADVANCE(107);
      END_STATE();
    case 6:
      if (lookahead == '/') ADVANCE(7);
      END_STATE();
    case 7:
      if (lookahead == '/') ADVANCE(62);
      if (lookahead != 0) ADVANCE(61);
      END_STATE();
    case 8:
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 9:
      if (lookahead == '@') ADVANCE(93);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(23);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'c') ADVANCE(20);
      END_STATE();
    case 15:
      if (lookahead == 'd') ADVANCE(22);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 25:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(24);
      END_STATE();
    case 27:
      if (lookahead == 'm') ADVANCE(60);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(16);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(42);
      END_STATE();
    case 30:
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 33:
      if (lookahead == 'p') ADVANCE(18);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(14);
      END_STATE();
    case 35:
      if (lookahead == 'r') ADVANCE(58);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(46);
      if (lookahead == 'y') ADVANCE(33);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(12);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(32);
      END_STATE();
    case 39:
      if (lookahead == 's') ADVANCE(19);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(13);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(31);
      END_STATE();
    case 42:
      if (lookahead == 'u') ADVANCE(27);
      END_STATE();
    case 43:
      if (lookahead == 'u') ADVANCE(47);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 45:
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(17);
      END_STATE();
    case 47:
      if (lookahead == '{') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 48:
      if (lookahead == '}') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(3);
      if (lookahead == '"') ADVANCE(109);
      if (lookahead == '\\') ADVANCE(53);
      END_STATE();
    case 54:
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(4);
      if (lookahead == '\'') ADVANCE(110);
      if (lookahead == '\\') ADVANCE(54);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_datasource);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_model);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_generator);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_developer_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(70);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(67);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(68);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(43);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(81);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(7);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(71);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(85);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(88);
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '@') ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AT_AT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'a') ADVANCE(100);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'e') ADVANCE(116);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'e') ADVANCE(118);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'l') ADVANCE(104);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'l') ADVANCE(120);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'l') ADVANCE(101);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'r') ADVANCE(105);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 's') ADVANCE(99);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'u') ADVANCE(98);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == 'u') ADVANCE(102);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '\\') ADVANCE(43);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_string);
      if (lookahead == '"') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(3);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_string);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(4);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_maybe);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(43);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(43);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_null);
      if (lookahead == '\\') ADVANCE(43);
      if (!aux_sym_identifier_token1_character_set_4(lookahead)) ADVANCE(107);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 0},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 1},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 1},
  [46] = {.lex_state = 1},
  [47] = {.lex_state = 1},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 1},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 1},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 1},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 0},
  [56] = {.lex_state = 1},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 1},
  [59] = {.lex_state = 1},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 1},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 1},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 1},
  [68] = {.lex_state = 1},
  [69] = {.lex_state = 1},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 1},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 1},
  [74] = {.lex_state = 1},
  [75] = {.lex_state = 1},
  [76] = {.lex_state = 0},
  [77] = {.lex_state = 0},
  [78] = {.lex_state = 1},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 1},
  [81] = {.lex_state = 1},
  [82] = {.lex_state = 1},
  [83] = {.lex_state = 0},
  [84] = {.lex_state = 1},
  [85] = {.lex_state = 0},
  [86] = {.lex_state = 1},
  [87] = {.lex_state = 1},
  [88] = {.lex_state = 0},
  [89] = {.lex_state = 0},
  [90] = {.lex_state = 1},
  [91] = {.lex_state = 1},
  [92] = {.lex_state = 1},
  [93] = {.lex_state = 1},
  [94] = {.lex_state = 1},
  [95] = {.lex_state = 1},
  [96] = {.lex_state = 1},
  [97] = {.lex_state = 1},
  [98] = {.lex_state = 1},
  [99] = {.lex_state = 1},
  [100] = {.lex_state = 1},
  [101] = {.lex_state = 1},
  [102] = {.lex_state = 1},
  [103] = {.lex_state = 1},
  [104] = {.lex_state = 1},
  [105] = {.lex_state = 0},
  [106] = {.lex_state = 0},
  [107] = {.lex_state = 0},
  [108] = {.lex_state = 0},
  [109] = {.lex_state = 0},
  [110] = {.lex_state = 0},
  [111] = {.lex_state = 0},
  [112] = {.lex_state = 2},
  [113] = {.lex_state = 2},
  [114] = {.lex_state = 2},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 2},
  [118] = {.lex_state = 2},
  [119] = {.lex_state = 2},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 2},
  [122] = {.lex_state = 2},
  [123] = {.lex_state = 2},
  [124] = {.lex_state = 2},
  [125] = {.lex_state = 2},
  [126] = {.lex_state = 2},
  [127] = {.lex_state = 2},
  [128] = {.lex_state = 2},
  [129] = {.lex_state = 2},
  [130] = {.lex_state = 2},
  [131] = {.lex_state = 2},
  [132] = {.lex_state = 2},
  [133] = {.lex_state = 2},
  [134] = {.lex_state = 2},
  [135] = {.lex_state = 2},
  [136] = {.lex_state = 2},
  [137] = {.lex_state = 0},
  [138] = {.lex_state = 2},
  [139] = {.lex_state = 2},
  [140] = {.lex_state = 0},
  [141] = {.lex_state = 5},
  [142] = {.lex_state = 0},
  [143] = {.lex_state = 5},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 0},
  [146] = {.lex_state = 0},
  [147] = {.lex_state = 0},
  [148] = {.lex_state = 0},
  [149] = {.lex_state = 0},
  [150] = {.lex_state = 5},
  [151] = {.lex_state = 5},
  [152] = {.lex_state = 2},
  [153] = {.lex_state = 5},
  [154] = {.lex_state = 5},
  [155] = {.lex_state = 0},
  [156] = {.lex_state = 5},
  [157] = {.lex_state = 5},
  [158] = {.lex_state = 5},
  [159] = {.lex_state = 0},
  [160] = {.lex_state = 0},
  [161] = {.lex_state = 0},
  [162] = {.lex_state = 5},
  [163] = {.lex_state = 0},
  [164] = {.lex_state = 0},
  [165] = {.lex_state = 0},
  [166] = {.lex_state = 5},
  [167] = {.lex_state = 5},
  [168] = {.lex_state = 0},
  [169] = {.lex_state = 0},
  [170] = {.lex_state = 5},
  [171] = {.lex_state = 0},
  [172] = {.lex_state = 5},
  [173] = {.lex_state = 5},
  [174] = {.lex_state = 5},
  [175] = {.lex_state = 0},
  [176] = {.lex_state = 0},
  [177] = {.lex_state = 5},
  [178] = {.lex_state = 5},
  [179] = {.lex_state = 5},
  [180] = {.lex_state = 5},
  [181] = {.lex_state = 5},
  [182] = {.lex_state = 5},
  [183] = {.lex_state = 5},
  [184] = {.lex_state = 5},
  [185] = {.lex_state = 0},
  [186] = {.lex_state = 5},
  [187] = {.lex_state = 5},
  [188] = {.lex_state = 5},
  [189] = {.lex_state = 5},
  [190] = {.lex_state = 0},
  [191] = {.lex_state = 0},
  [192] = {.lex_state = 0},
  [193] = {.lex_state = 0},
  [194] = {.lex_state = 0},
  [195] = {.lex_state = 0},
  [196] = {.lex_state = 0},
  [197] = {.lex_state = 0},
  [198] = {.lex_state = 5},
  [199] = {.lex_state = 0},
  [200] = {.lex_state = 5},
  [201] = {.lex_state = 5},
  [202] = {.lex_state = 0},
  [203] = {.lex_state = 0},
  [204] = {.lex_state = 0},
  [205] = {.lex_state = 0},
  [206] = {.lex_state = 5},
  [207] = {.lex_state = 5},
  [208] = {.lex_state = 5},
  [209] = {.lex_state = 5},
  [210] = {.lex_state = 0},
  [211] = {.lex_state = 0},
  [212] = {.lex_state = 0},
  [213] = {.lex_state = 0},
  [214] = {.lex_state = 5},
  [215] = {.lex_state = 5},
  [216] = {.lex_state = 5},
  [217] = {.lex_state = 5},
  [218] = {.lex_state = 5},
  [219] = {.lex_state = 5},
  [220] = {.lex_state = 0},
  [221] = {.lex_state = 0},
  [222] = {.lex_state = 0},
  [223] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_datasource] = ACTIONS(1),
    [anon_sym_model] = ACTIONS(1),
    [anon_sym_generator] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_AT_AT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [sym_string] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_maybe] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(222),
    [sym_datasource_declaration] = STATE(168),
    [sym_model_declaration] = STATE(168),
    [sym_generator_declaration] = STATE(168),
    [sym_type_declaration] = STATE(168),
    [sym_enum_declaration] = STATE(168),
    [sym_comment] = STATE(1),
    [aux_sym_program_repeat1] = STATE(137),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_datasource] = ACTIONS(9),
    [anon_sym_model] = ACTIONS(11),
    [anon_sym_generator] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_enum] = ACTIONS(17),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
  },
  [2] = {
    [sym_comment] = STATE(2),
    [sym_arguments] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(19),
    [anon_sym_datasource] = ACTIONS(19),
    [anon_sym_model] = ACTIONS(19),
    [anon_sym_generator] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_enum] = ACTIONS(19),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(21),
    [anon_sym_AMP_AMP] = ACTIONS(19),
    [anon_sym_PIPE_PIPE] = ACTIONS(19),
    [anon_sym_GT_GT] = ACTIONS(23),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_SLASH] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_LT_EQ] = ACTIONS(19),
    [anon_sym_EQ_EQ] = ACTIONS(27),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(19),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(19),
    [anon_sym_GT_EQ] = ACTIONS(19),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(19),
    [anon_sym_RBRACK] = ACTIONS(19),
  },
  [3] = {
    [sym_comment] = STATE(3),
    [sym_arguments] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(19),
    [anon_sym_datasource] = ACTIONS(19),
    [anon_sym_model] = ACTIONS(19),
    [anon_sym_generator] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_enum] = ACTIONS(19),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(21),
    [anon_sym_AMP_AMP] = ACTIONS(19),
    [anon_sym_PIPE_PIPE] = ACTIONS(19),
    [anon_sym_GT_GT] = ACTIONS(23),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_PLUS] = ACTIONS(37),
    [anon_sym_DASH] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_SLASH] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(39),
    [anon_sym_LT_EQ] = ACTIONS(41),
    [anon_sym_EQ_EQ] = ACTIONS(39),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(41),
    [anon_sym_BANG_EQ] = ACTIONS(39),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(41),
    [anon_sym_GT_EQ] = ACTIONS(41),
    [anon_sym_GT] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(19),
    [anon_sym_RBRACK] = ACTIONS(19),
  },
  [4] = {
    [sym_comment] = STATE(4),
    [sym_arguments] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(19),
    [anon_sym_datasource] = ACTIONS(19),
    [anon_sym_model] = ACTIONS(19),
    [anon_sym_generator] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_enum] = ACTIONS(19),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(21),
    [anon_sym_AMP_AMP] = ACTIONS(19),
    [anon_sym_PIPE_PIPE] = ACTIONS(19),
    [anon_sym_GT_GT] = ACTIONS(27),
    [anon_sym_GT_GT_GT] = ACTIONS(19),
    [anon_sym_LT_LT] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_SLASH] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(19),
    [anon_sym_STAR_STAR] = ACTIONS(19),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_LT_EQ] = ACTIONS(19),
    [anon_sym_EQ_EQ] = ACTIONS(27),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(19),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(19),
    [anon_sym_GT_EQ] = ACTIONS(19),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(19),
    [anon_sym_RBRACK] = ACTIONS(19),
  },
  [5] = {
    [sym_comment] = STATE(5),
    [sym_arguments] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(43),
    [anon_sym_datasource] = ACTIONS(43),
    [anon_sym_model] = ACTIONS(43),
    [anon_sym_generator] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(43),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(21),
    [anon_sym_AMP_AMP] = ACTIONS(45),
    [anon_sym_PIPE_PIPE] = ACTIONS(47),
    [anon_sym_GT_GT] = ACTIONS(23),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_PIPE] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(37),
    [anon_sym_DASH] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_SLASH] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(39),
    [anon_sym_LT_EQ] = ACTIONS(41),
    [anon_sym_EQ_EQ] = ACTIONS(39),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(41),
    [anon_sym_BANG_EQ] = ACTIONS(39),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(41),
    [anon_sym_GT_EQ] = ACTIONS(41),
    [anon_sym_GT] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(43),
    [anon_sym_RPAREN] = ACTIONS(43),
    [anon_sym_RBRACK] = ACTIONS(43),
  },
  [6] = {
    [sym_comment] = STATE(6),
    [sym_arguments] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(19),
    [anon_sym_datasource] = ACTIONS(19),
    [anon_sym_model] = ACTIONS(19),
    [anon_sym_generator] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_enum] = ACTIONS(19),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(21),
    [anon_sym_AMP_AMP] = ACTIONS(45),
    [anon_sym_PIPE_PIPE] = ACTIONS(19),
    [anon_sym_GT_GT] = ACTIONS(23),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_PLUS] = ACTIONS(37),
    [anon_sym_DASH] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_SLASH] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(39),
    [anon_sym_LT_EQ] = ACTIONS(41),
    [anon_sym_EQ_EQ] = ACTIONS(39),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(41),
    [anon_sym_BANG_EQ] = ACTIONS(39),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(41),
    [anon_sym_GT_EQ] = ACTIONS(41),
    [anon_sym_GT] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(19),
    [anon_sym_RBRACK] = ACTIONS(19),
  },
  [7] = {
    [sym_comment] = STATE(7),
    [sym_arguments] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(53),
    [anon_sym_datasource] = ACTIONS(53),
    [anon_sym_model] = ACTIONS(53),
    [anon_sym_generator] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(53),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(21),
    [anon_sym_AMP_AMP] = ACTIONS(45),
    [anon_sym_PIPE_PIPE] = ACTIONS(47),
    [anon_sym_GT_GT] = ACTIONS(23),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(49),
    [anon_sym_CARET] = ACTIONS(47),
    [anon_sym_PIPE] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(37),
    [anon_sym_DASH] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_SLASH] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(39),
    [anon_sym_LT_EQ] = ACTIONS(41),
    [anon_sym_EQ_EQ] = ACTIONS(39),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(41),
    [anon_sym_BANG_EQ] = ACTIONS(39),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(41),
    [anon_sym_GT_EQ] = ACTIONS(41),
    [anon_sym_GT] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(53),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(53),
    [anon_sym_RPAREN] = ACTIONS(53),
    [anon_sym_RBRACK] = ACTIONS(53),
  },
  [8] = {
    [sym_comment] = STATE(8),
    [sym_arguments] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(19),
    [anon_sym_datasource] = ACTIONS(19),
    [anon_sym_model] = ACTIONS(19),
    [anon_sym_generator] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_enum] = ACTIONS(19),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(21),
    [anon_sym_AMP_AMP] = ACTIONS(19),
    [anon_sym_PIPE_PIPE] = ACTIONS(19),
    [anon_sym_GT_GT] = ACTIONS(23),
    [anon_sym_GT_GT_GT] = ACTIONS(25),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_PLUS] = ACTIONS(37),
    [anon_sym_DASH] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_SLASH] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(25),
    [anon_sym_STAR_STAR] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_LT_EQ] = ACTIONS(19),
    [anon_sym_EQ_EQ] = ACTIONS(27),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(19),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(19),
    [anon_sym_GT_EQ] = ACTIONS(19),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(19),
    [anon_sym_RBRACK] = ACTIONS(19),
  },
  [9] = {
    [sym_comment] = STATE(9),
    [sym_arguments] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(19),
    [anon_sym_datasource] = ACTIONS(19),
    [anon_sym_model] = ACTIONS(19),
    [anon_sym_generator] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(19),
    [anon_sym_enum] = ACTIONS(19),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(21),
    [anon_sym_AMP_AMP] = ACTIONS(19),
    [anon_sym_PIPE_PIPE] = ACTIONS(19),
    [anon_sym_GT_GT] = ACTIONS(27),
    [anon_sym_GT_GT_GT] = ACTIONS(19),
    [anon_sym_LT_LT] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_CARET] = ACTIONS(19),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_SLASH] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(19),
    [anon_sym_STAR_STAR] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(27),
    [anon_sym_LT_EQ] = ACTIONS(19),
    [anon_sym_EQ_EQ] = ACTIONS(27),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(19),
    [anon_sym_BANG_EQ] = ACTIONS(27),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(19),
    [anon_sym_GT_EQ] = ACTIONS(19),
    [anon_sym_GT] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(33),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(19),
    [anon_sym_RBRACK] = ACTIONS(19),
  },
  [10] = {
    [sym_comment] = STATE(10),
    [ts_builtin_sym_end] = ACTIONS(55),
    [anon_sym_datasource] = ACTIONS(55),
    [anon_sym_model] = ACTIONS(55),
    [anon_sym_generator] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(55),
    [sym_developer_comment] = ACTIONS(3),
    [aux_sym_comment_token1] = ACTIONS(5),
    [anon_sym_EQ] = ACTIONS(57),
    [anon_sym_AMP_AMP] = ACTIONS(55),
    [anon_sym_PIPE_PIPE] = ACTIONS(55),
    [anon_sym_GT_GT] = ACTIONS(57),
    [anon_sym_GT_GT_GT] = ACTIONS(55),
    [anon_sym_LT_LT] = ACTIONS(55),
    [anon_sym_AMP] = ACTIONS(57),
    [anon_sym_CARET] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_PERCENT] = ACTIONS(55),
    [anon_sym_STAR_STAR] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_LT_EQ] = ACTIONS(55),
    [anon_sym_EQ_EQ] = ACTIONS(57),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(55),
    [anon_sym_BANG_EQ] = ACTIONS(57),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(55),
    [anon_sym_GT_EQ] = ACTIONS(55),
    [anon_sym_GT] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(55),
    [anon_sym_COLON] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(55),
    [anon_sym_COMMA] = ACTIONS(55),
    [anon_sym_RPAREN] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(55),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 17,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(11), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(43), 10,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [73] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(12), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(27), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 13,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [140] = 17,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(13), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(53), 10,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [213] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    STATE(14), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 12,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [284] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(15), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 6,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 19,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [345] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(16), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(27), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 23,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [400] = 12,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(17), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 6,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 17,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [463] = 9,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(18), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(27), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 22,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [520] = 15,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    STATE(19), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 12,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [588] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(20), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(43), 10,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [658] = 13,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(21), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(27), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 13,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [722] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(22), 1,
      sym_comment,
    ACTIONS(61), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(59), 25,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [770] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(23), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(53), 10,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [840] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(24), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(27), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 22,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [894] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(25), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(27), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 23,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [946] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 6,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 17,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1006] = 10,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_comment,
    STATE(39), 1,
      sym_arguments,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 6,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 19,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1064] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(28), 1,
      sym_comment,
    ACTIONS(65), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(63), 24,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1111] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(29), 1,
      sym_comment,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(53), 11,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1176] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(30), 1,
      sym_comment,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(43), 11,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1241] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(31), 1,
      sym_comment,
    ACTIONS(69), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(67), 24,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1288] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(32), 1,
      sym_comment,
    ACTIONS(73), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(71), 24,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1335] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(33), 1,
      sym_comment,
    ACTIONS(77), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(75), 24,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1382] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(34), 1,
      sym_comment,
    ACTIONS(81), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(79), 24,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1429] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(35), 1,
      sym_comment,
    ACTIONS(85), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(83), 24,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1476] = 9,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    STATE(36), 1,
      sym_comment,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 6,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 18,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1531] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    STATE(37), 1,
      sym_comment,
    ACTIONS(27), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 23,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1580] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(38), 1,
      sym_comment,
    ACTIONS(27), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 24,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1627] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(39), 1,
      sym_comment,
    ACTIONS(89), 9,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(87), 24,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1674] = 13,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    STATE(40), 1,
      sym_comment,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 13,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1737] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    STATE(41), 1,
      sym_comment,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 6,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(19), 20,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1790] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    STATE(42), 1,
      sym_comment,
    ACTIONS(27), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 14,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [1849] = 17,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(91), 1,
      anon_sym_EQ,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      aux_sym_identifier_token1,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 5,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT_AT,
  [1917] = 21,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_EQ,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(44), 1,
      sym_comment,
    STATE(199), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [1993] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(91), 1,
      anon_sym_EQ,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    STATE(45), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 2,
      anon_sym_PIPE,
      aux_sym_identifier_token1,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(19), 4,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT_AT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2065] = 21,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(91), 1,
      anon_sym_EQ,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    ACTIONS(123), 1,
      anon_sym_PIPE,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    STATE(46), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(53), 2,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
    ACTIONS(121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2141] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(91), 1,
      anon_sym_EQ,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 13,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [2197] = 21,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_EQ,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(127), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(48), 1,
      sym_comment,
    STATE(194), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2273] = 13,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(91), 1,
      anon_sym_EQ,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 8,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 10,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [2333] = 21,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_EQ,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(129), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(50), 1,
      sym_comment,
    STATE(204), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2409] = 10,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(91), 1,
      anon_sym_EQ,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(51), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 14,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [2463] = 21,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_EQ,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(131), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(52), 1,
      sym_comment,
    STATE(202), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2539] = 15,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(91), 1,
      anon_sym_EQ,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(53), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 7,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 9,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [2603] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_EQ,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(39), 1,
      sym_arguments,
    STATE(54), 1,
      sym_comment,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(133), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2675] = 21,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_EQ,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(135), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(55), 1,
      sym_comment,
    STATE(193), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2751] = 21,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(91), 1,
      anon_sym_EQ,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_COLON,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    ACTIONS(123), 1,
      anon_sym_PIPE,
    ACTIONS(137), 1,
      aux_sym_identifier_token1,
    STATE(56), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(43), 2,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
    ACTIONS(121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2827] = 21,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(21), 1,
      anon_sym_EQ,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(139), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(57), 1,
      sym_comment,
    STATE(191), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [2903] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(58), 1,
      sym_comment,
    ACTIONS(57), 12,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(55), 17,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [2946] = 17,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    STATE(59), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 2,
      anon_sym_PIPE,
      aux_sym_identifier_token1,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(19), 4,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT_AT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3012] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(60), 1,
      sym_comment,
    STATE(199), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3082] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(129), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(61), 1,
      sym_comment,
    STATE(204), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3152] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(139), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(62), 1,
      sym_comment,
    STATE(191), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3222] = 15,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(63), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      aux_sym_identifier_token1,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 5,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT_AT,
  [3284] = 17,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(39), 1,
      sym_arguments,
    STATE(64), 1,
      sym_comment,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(133), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3350] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    ACTIONS(123), 1,
      anon_sym_PIPE,
    ACTIONS(137), 1,
      aux_sym_identifier_token1,
    STATE(65), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(43), 2,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
    ACTIONS(121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3420] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(131), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(66), 1,
      sym_comment,
    STATE(202), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3490] = 13,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(67), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 7,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 9,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [3548] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    ACTIONS(123), 1,
      anon_sym_PIPE,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    STATE(68), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(53), 2,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
    ACTIONS(121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3618] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 14,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [3666] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(127), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(70), 1,
      sym_comment,
    STATE(194), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3736] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 8,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 10,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [3790] = 19,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(135), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(72), 1,
      sym_comment,
    STATE(193), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [3860] = 9,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(107), 1,
      anon_sym_DOT,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 13,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [3910] = 12,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(74), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 7,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 9,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [3965] = 18,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    ACTIONS(123), 1,
      anon_sym_PIPE,
    ACTIONS(137), 1,
      aux_sym_identifier_token1,
    STATE(75), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(43), 2,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
    ACTIONS(121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4032] = 18,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(76), 1,
      sym_comment,
    STATE(199), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4099] = 18,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(135), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(77), 1,
      sym_comment,
    STATE(193), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4166] = 10,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 8,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 10,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [4217] = 18,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(127), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(79), 1,
      sym_comment,
    STATE(194), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4284] = 18,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    ACTIONS(123), 1,
      anon_sym_PIPE,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    STATE(80), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(53), 2,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
    ACTIONS(121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4351] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(81), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 14,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [4396] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 13,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
  [4443] = 18,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(129), 1,
      anon_sym_RPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(83), 1,
      sym_comment,
    STATE(204), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4510] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      aux_sym_identifier_token1,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 5,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT_AT,
  [4569] = 18,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(139), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(85), 1,
      sym_comment,
    STATE(191), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4636] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(86), 1,
      sym_comment,
    ACTIONS(61), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(59), 16,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [4677] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    STATE(87), 1,
      sym_comment,
    STATE(96), 1,
      sym_arguments,
    ACTIONS(27), 2,
      anon_sym_PIPE,
      aux_sym_identifier_token1,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(19), 4,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT_AT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4740] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(39), 1,
      sym_arguments,
    STATE(88), 1,
      sym_comment,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(133), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4803] = 18,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(131), 1,
      anon_sym_RBRACK,
    STATE(39), 1,
      sym_arguments,
    STATE(89), 1,
      sym_comment,
    STATE(202), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4870] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(90), 1,
      sym_comment,
    ACTIONS(69), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(67), 15,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [4910] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    ACTIONS(123), 1,
      anon_sym_PIPE,
    ACTIONS(137), 1,
      aux_sym_identifier_token1,
    STATE(91), 1,
      sym_comment,
    ACTIONS(121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(43), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [4972] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(92), 1,
      sym_comment,
    ACTIONS(77), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(75), 15,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5012] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(93), 1,
      sym_comment,
    ACTIONS(85), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(83), 15,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5052] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    STATE(94), 1,
      sym_comment,
    ACTIONS(27), 2,
      anon_sym_PIPE,
      aux_sym_identifier_token1,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 5,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5110] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(95), 1,
      sym_comment,
    ACTIONS(65), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(63), 15,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5150] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(96), 1,
      sym_comment,
    ACTIONS(89), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(87), 15,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5190] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(97), 1,
      sym_comment,
    ACTIONS(81), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(79), 15,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5230] = 10,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    STATE(98), 1,
      sym_comment,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 7,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 10,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5280] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(99), 1,
      sym_comment,
    ACTIONS(27), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 15,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5320] = 12,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    STATE(100), 1,
      sym_comment,
    ACTIONS(27), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      aux_sym_identifier_token1,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(19), 6,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5374] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    STATE(101), 1,
      sym_comment,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(27), 8,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 11,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5420] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(102), 1,
      sym_comment,
    ACTIONS(73), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(71), 15,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5460] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    STATE(103), 1,
      sym_comment,
    ACTIONS(27), 11,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      aux_sym_identifier_token1,
    ACTIONS(19), 14,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
  [5502] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(97), 1,
      anon_sym_PLUS,
    ACTIONS(99), 1,
      anon_sym_DASH,
    ACTIONS(101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(119), 1,
      anon_sym_AMP,
    ACTIONS(123), 1,
      anon_sym_PIPE,
    ACTIONS(125), 1,
      aux_sym_identifier_token1,
    STATE(104), 1,
      sym_comment,
    ACTIONS(121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(53), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
    ACTIONS(93), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(95), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(103), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(105), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [5564] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    STATE(105), 1,
      sym_comment,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(133), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [5621] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_RPAREN,
    STATE(106), 1,
      sym_comment,
    STATE(199), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [5682] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(135), 1,
      anon_sym_RPAREN,
    STATE(107), 1,
      sym_comment,
    STATE(193), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [5743] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(131), 1,
      anon_sym_RBRACK,
    STATE(108), 1,
      sym_comment,
    STATE(202), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [5804] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(139), 1,
      anon_sym_RBRACK,
    STATE(109), 1,
      sym_comment,
    STATE(191), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [5865] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(129), 1,
      anon_sym_RPAREN,
    STATE(110), 1,
      sym_comment,
    STATE(204), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [5926] = 16,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(29), 1,
      anon_sym_STAR_STAR,
    ACTIONS(45), 1,
      anon_sym_AMP_AMP,
    ACTIONS(49), 1,
      anon_sym_AMP,
    ACTIONS(51), 1,
      anon_sym_PIPE,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(127), 1,
      anon_sym_RBRACK,
    STATE(111), 1,
      sym_comment,
    STATE(194), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(37), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(47), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(23), 3,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(25), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(39), 4,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
    ACTIONS(41), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [5987] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(147), 1,
      anon_sym_RBRACK,
    STATE(57), 1,
      sym_identifier,
    STATE(62), 1,
      sym_member_expression,
    STATE(112), 1,
      sym_comment,
    STATE(196), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(143), 2,
      sym_string,
      sym_number,
    STATE(85), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(149), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(109), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6036] = 12,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(54), 1,
      sym_identifier,
    STATE(64), 1,
      sym_member_expression,
    STATE(113), 1,
      sym_comment,
    ACTIONS(153), 2,
      sym_string,
      sym_number,
    STATE(88), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(151), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(155), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(105), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6081] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(157), 1,
      anon_sym_RPAREN,
    STATE(44), 1,
      sym_identifier,
    STATE(60), 1,
      sym_member_expression,
    STATE(114), 1,
      sym_comment,
    STATE(203), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(159), 2,
      sym_string,
      sym_number,
    STATE(76), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(161), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(106), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6130] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(163), 1,
      anon_sym_RPAREN,
    STATE(50), 1,
      sym_identifier,
    STATE(61), 1,
      sym_member_expression,
    STATE(115), 1,
      sym_comment,
    STATE(205), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(165), 2,
      sym_string,
      sym_number,
    STATE(83), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(167), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(110), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6179] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(171), 1,
      anon_sym_RBRACK,
    STATE(48), 1,
      sym_identifier,
    STATE(70), 1,
      sym_member_expression,
    STATE(116), 1,
      sym_comment,
    STATE(197), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(169), 2,
      sym_string,
      sym_number,
    STATE(79), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(173), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(111), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6228] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(175), 1,
      anon_sym_RPAREN,
    STATE(55), 1,
      sym_identifier,
    STATE(72), 1,
      sym_member_expression,
    STATE(117), 1,
      sym_comment,
    STATE(195), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(177), 2,
      sym_string,
      sym_number,
    STATE(77), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(179), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(107), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6277] = 14,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(183), 1,
      anon_sym_RBRACK,
    STATE(52), 1,
      sym_identifier,
    STATE(66), 1,
      sym_member_expression,
    STATE(118), 1,
      sym_comment,
    STATE(192), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(181), 2,
      sym_string,
      sym_number,
    STATE(89), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(185), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(108), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6326] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(187), 1,
      aux_sym_identifier_token1,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(46), 1,
      sym_identifier,
    STATE(68), 1,
      sym_member_expression,
    STATE(119), 1,
      sym_comment,
    ACTIONS(189), 2,
      sym_string,
      sym_number,
    STATE(80), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(193), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(104), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6366] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(187), 1,
      aux_sym_identifier_token1,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(56), 1,
      sym_identifier,
    STATE(65), 1,
      sym_member_expression,
    STATE(120), 1,
      sym_comment,
    ACTIONS(195), 2,
      sym_string,
      sym_number,
    STATE(75), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(197), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(91), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6406] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(7), 1,
      sym_identifier,
    STATE(13), 1,
      sym_member_expression,
    STATE(121), 1,
      sym_comment,
    ACTIONS(199), 2,
      sym_string,
      sym_number,
    STATE(23), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(201), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(29), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6446] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(8), 1,
      sym_identifier,
    STATE(17), 1,
      sym_member_expression,
    STATE(122), 1,
      sym_comment,
    ACTIONS(203), 2,
      sym_string,
      sym_number,
    STATE(26), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(205), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(36), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6486] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(187), 1,
      aux_sym_identifier_token1,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(53), 1,
      sym_identifier,
    STATE(67), 1,
      sym_member_expression,
    STATE(123), 1,
      sym_comment,
    ACTIONS(207), 2,
      sym_string,
      sym_number,
    STATE(74), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(209), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(98), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6526] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(4), 1,
      sym_identifier,
    STATE(16), 1,
      sym_member_expression,
    STATE(124), 1,
      sym_comment,
    ACTIONS(211), 2,
      sym_string,
      sym_number,
    STATE(25), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(213), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(38), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6566] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(187), 1,
      aux_sym_identifier_token1,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(51), 1,
      sym_identifier,
    STATE(69), 1,
      sym_member_expression,
    STATE(125), 1,
      sym_comment,
    ACTIONS(215), 2,
      sym_string,
      sym_number,
    STATE(81), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(217), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(99), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6606] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(187), 1,
      aux_sym_identifier_token1,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(49), 1,
      sym_identifier,
    STATE(71), 1,
      sym_member_expression,
    STATE(126), 1,
      sym_comment,
    ACTIONS(219), 2,
      sym_string,
      sym_number,
    STATE(78), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(221), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(101), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6646] = 13,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(225), 1,
      aux_sym_identifier_token1,
    STATE(127), 1,
      sym_comment,
    STATE(143), 1,
      sym_identifier,
    STATE(158), 1,
      sym_call_expression,
    STATE(170), 1,
      sym_column_type,
    STATE(190), 1,
      sym_member_expression,
    ACTIONS(227), 2,
      sym_string,
      sym_number,
    STATE(211), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(229), 3,
      sym_true,
      sym_false,
      sym_null,
  [6690] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(187), 1,
      aux_sym_identifier_token1,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(47), 1,
      sym_identifier,
    STATE(73), 1,
      sym_member_expression,
    STATE(128), 1,
      sym_comment,
    ACTIONS(231), 2,
      sym_string,
      sym_number,
    STATE(82), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(233), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(103), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6730] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(2), 1,
      sym_identifier,
    STATE(15), 1,
      sym_member_expression,
    STATE(129), 1,
      sym_comment,
    ACTIONS(235), 2,
      sym_string,
      sym_number,
    STATE(27), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(237), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(41), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6770] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(187), 1,
      aux_sym_identifier_token1,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(45), 1,
      sym_identifier,
    STATE(59), 1,
      sym_member_expression,
    STATE(130), 1,
      sym_comment,
    ACTIONS(239), 2,
      sym_string,
      sym_number,
    STATE(87), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(241), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(94), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6810] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(187), 1,
      aux_sym_identifier_token1,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    STATE(43), 1,
      sym_identifier,
    STATE(63), 1,
      sym_member_expression,
    STATE(131), 1,
      sym_comment,
    ACTIONS(243), 2,
      sym_string,
      sym_number,
    STATE(84), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(245), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(100), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6850] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(9), 1,
      sym_identifier,
    STATE(18), 1,
      sym_member_expression,
    STATE(132), 1,
      sym_comment,
    ACTIONS(247), 2,
      sym_string,
      sym_number,
    STATE(24), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(249), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(37), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6890] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(6), 1,
      sym_identifier,
    STATE(14), 1,
      sym_member_expression,
    STATE(133), 1,
      sym_comment,
    ACTIONS(251), 2,
      sym_string,
      sym_number,
    STATE(19), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(253), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(40), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6930] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(3), 1,
      sym_identifier,
    STATE(12), 1,
      sym_member_expression,
    STATE(134), 1,
      sym_comment,
    ACTIONS(255), 2,
      sym_string,
      sym_number,
    STATE(21), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(257), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(42), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [6970] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(5), 1,
      sym_identifier,
    STATE(11), 1,
      sym_member_expression,
    STATE(135), 1,
      sym_comment,
    ACTIONS(259), 2,
      sym_string,
      sym_number,
    STATE(20), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(261), 3,
      sym_true,
      sym_false,
      sym_null,
    STATE(30), 3,
      sym_assignment_expression,
      sym_binary_expression,
      sym_call_expression,
  [7010] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      aux_sym_identifier_token1,
    STATE(136), 1,
      sym_comment,
    STATE(153), 1,
      sym_identifier,
    STATE(157), 1,
      sym_member_expression,
    STATE(189), 1,
      sym_call_expression,
    ACTIONS(227), 2,
      sym_string,
      sym_number,
    STATE(211), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(229), 3,
      sym_true,
      sym_false,
      sym_null,
  [7048] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(9), 1,
      anon_sym_datasource,
    ACTIONS(11), 1,
      anon_sym_model,
    ACTIONS(13), 1,
      anon_sym_generator,
    ACTIONS(15), 1,
      anon_sym_type,
    ACTIONS(17), 1,
      anon_sym_enum,
    ACTIONS(263), 1,
      ts_builtin_sym_end,
    STATE(137), 1,
      sym_comment,
    STATE(140), 1,
      aux_sym_program_repeat1,
    STATE(168), 5,
      sym_datasource_declaration,
      sym_model_declaration,
      sym_generator_declaration,
      sym_type_declaration,
      sym_enum_declaration,
  [7086] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(141), 1,
      aux_sym_identifier_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    STATE(138), 1,
      sym_comment,
    STATE(142), 1,
      sym_identifier,
    STATE(144), 1,
      sym_member_expression,
    STATE(159), 1,
      sym_call_expression,
    ACTIONS(265), 2,
      sym_string,
      sym_number,
    STATE(213), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(267), 3,
      sym_true,
      sym_false,
      sym_null,
  [7124] = 11,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(145), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      aux_sym_identifier_token1,
    STATE(139), 1,
      sym_comment,
    STATE(156), 1,
      sym_identifier,
    STATE(178), 1,
      sym_member_expression,
    STATE(201), 1,
      sym_call_expression,
    ACTIONS(227), 2,
      sym_string,
      sym_number,
    STATE(211), 2,
      sym_type_expression,
      sym_array,
    ACTIONS(229), 3,
      sym_true,
      sym_false,
      sym_null,
  [7162] = 10,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(269), 1,
      ts_builtin_sym_end,
    ACTIONS(271), 1,
      anon_sym_datasource,
    ACTIONS(274), 1,
      anon_sym_model,
    ACTIONS(277), 1,
      anon_sym_generator,
    ACTIONS(280), 1,
      anon_sym_type,
    ACTIONS(283), 1,
      anon_sym_enum,
    STATE(140), 2,
      sym_comment,
      aux_sym_program_repeat1,
    STATE(168), 5,
      sym_datasource_declaration,
      sym_model_declaration,
      sym_generator_declaration,
      sym_type_declaration,
      sym_enum_declaration,
  [7198] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(57), 1,
      anon_sym_AT,
    STATE(141), 1,
      sym_comment,
    ACTIONS(55), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
      aux_sym_identifier_token1,
      anon_sym_LBRACK,
      sym_maybe,
  [7223] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(142), 1,
      sym_comment,
    ACTIONS(286), 7,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
  [7254] = 12,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(290), 1,
      anon_sym_DOT,
    ACTIONS(292), 1,
      anon_sym_AT,
    ACTIONS(294), 1,
      anon_sym_LPAREN,
    ACTIONS(296), 1,
      anon_sym_LBRACK,
    ACTIONS(298), 1,
      sym_maybe,
    STATE(143), 1,
      sym_comment,
    STATE(173), 1,
      sym_arguments,
    STATE(180), 1,
      sym_array,
    ACTIONS(288), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [7293] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(31), 1,
      anon_sym_DOT,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(144), 1,
      sym_comment,
    ACTIONS(286), 7,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
  [7321] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(302), 1,
      anon_sym_AT,
    STATE(145), 1,
      sym_comment,
    STATE(146), 1,
      aux_sym_type_declaration_repeat1,
    STATE(155), 1,
      sym_attribute,
    ACTIONS(300), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7348] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(306), 1,
      anon_sym_AT,
    STATE(155), 1,
      sym_attribute,
    STATE(146), 2,
      sym_comment,
      aux_sym_type_declaration_repeat1,
    ACTIONS(304), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7373] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(302), 1,
      anon_sym_AT,
    STATE(147), 1,
      sym_comment,
    STATE(148), 1,
      aux_sym_type_declaration_repeat1,
    STATE(155), 1,
      sym_attribute,
    ACTIONS(309), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7400] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(302), 1,
      anon_sym_AT,
    STATE(146), 1,
      aux_sym_type_declaration_repeat1,
    STATE(148), 1,
      sym_comment,
    STATE(155), 1,
      sym_attribute,
    ACTIONS(311), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7427] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(302), 1,
      anon_sym_AT,
    STATE(145), 1,
      aux_sym_type_declaration_repeat1,
    STATE(149), 1,
      sym_comment,
    STATE(155), 1,
      sym_attribute,
    ACTIONS(313), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7454] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(315), 1,
      anon_sym_RBRACE,
    ACTIONS(317), 1,
      anon_sym_AT_AT,
    ACTIONS(320), 1,
      aux_sym_identifier_token1,
    STATE(127), 1,
      sym_identifier,
    STATE(150), 2,
      sym_comment,
      aux_sym_statement_block_repeat1,
    STATE(200), 3,
      sym_column_declaration,
      sym_assignment_expression,
      sym_block_attribute_declaration,
  [7482] = 9,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(323), 1,
      anon_sym_RBRACE,
    ACTIONS(325), 1,
      anon_sym_AT_AT,
    ACTIONS(327), 1,
      aux_sym_identifier_token1,
    STATE(127), 1,
      sym_identifier,
    STATE(151), 1,
      sym_comment,
    STATE(154), 1,
      aux_sym_statement_block_repeat1,
    STATE(200), 3,
      sym_column_declaration,
      sym_assignment_expression,
      sym_block_attribute_declaration,
  [7512] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(152), 1,
      sym_comment,
    ACTIONS(55), 4,
      anon_sym_EQ,
      sym_string,
      sym_number,
      anon_sym_LBRACK,
    ACTIONS(57), 4,
      aux_sym_identifier_token1,
      sym_true,
      sym_false,
      sym_null,
  [7534] = 9,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(294), 1,
      anon_sym_LPAREN,
    ACTIONS(329), 1,
      anon_sym_DOT,
    ACTIONS(331), 1,
      anon_sym_AT,
    STATE(153), 1,
      sym_comment,
    STATE(173), 1,
      sym_arguments,
    ACTIONS(286), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [7564] = 9,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(325), 1,
      anon_sym_AT_AT,
    ACTIONS(327), 1,
      aux_sym_identifier_token1,
    ACTIONS(333), 1,
      anon_sym_RBRACE,
    STATE(127), 1,
      sym_identifier,
    STATE(150), 1,
      aux_sym_statement_block_repeat1,
    STATE(154), 1,
      sym_comment,
    STATE(200), 3,
      sym_column_declaration,
      sym_assignment_expression,
      sym_block_attribute_declaration,
  [7594] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(155), 1,
      sym_comment,
    ACTIONS(335), 7,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
  [7613] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(33), 1,
      anon_sym_COLON,
    ACTIONS(294), 1,
      anon_sym_LPAREN,
    ACTIONS(329), 1,
      anon_sym_DOT,
    STATE(156), 1,
      sym_comment,
    STATE(173), 1,
      sym_arguments,
    ACTIONS(337), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [7640] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(294), 1,
      anon_sym_LPAREN,
    ACTIONS(329), 1,
      anon_sym_DOT,
    ACTIONS(331), 1,
      anon_sym_AT,
    STATE(157), 1,
      sym_comment,
    STATE(173), 1,
      sym_arguments,
    ACTIONS(286), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [7667] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(292), 1,
      anon_sym_AT,
    ACTIONS(296), 1,
      anon_sym_LBRACK,
    ACTIONS(298), 1,
      sym_maybe,
    STATE(158), 1,
      sym_comment,
    STATE(180), 1,
      sym_array,
    ACTIONS(288), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [7694] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(159), 1,
      sym_comment,
    ACTIONS(286), 7,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
      anon_sym_AT,
  [7713] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(160), 1,
      sym_comment,
    ACTIONS(339), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7731] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(161), 1,
      sym_comment,
    ACTIONS(341), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7749] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(345), 1,
      anon_sym_AT,
    STATE(162), 1,
      sym_comment,
    STATE(177), 1,
      aux_sym_type_declaration_repeat1,
    STATE(187), 1,
      sym_attribute,
    ACTIONS(343), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [7773] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(163), 1,
      sym_comment,
    ACTIONS(347), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7791] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(164), 1,
      sym_comment,
    ACTIONS(349), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7809] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(165), 1,
      sym_comment,
    ACTIONS(351), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7827] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(65), 1,
      anon_sym_AT,
    STATE(166), 1,
      sym_comment,
    ACTIONS(63), 5,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
      anon_sym_LBRACK,
      sym_maybe,
  [7847] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(61), 1,
      anon_sym_AT,
    STATE(167), 1,
      sym_comment,
    ACTIONS(59), 5,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_AT_AT,
      anon_sym_LPAREN,
      aux_sym_identifier_token1,
  [7867] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(168), 1,
      sym_comment,
    ACTIONS(353), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7885] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(169), 1,
      sym_comment,
    ACTIONS(355), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7903] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(345), 1,
      anon_sym_AT,
    STATE(162), 1,
      aux_sym_type_declaration_repeat1,
    STATE(170), 1,
      sym_comment,
    STATE(187), 1,
      sym_attribute,
    ACTIONS(357), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [7927] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(171), 1,
      sym_comment,
    ACTIONS(359), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [7945] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(85), 1,
      anon_sym_AT,
    STATE(172), 1,
      sym_comment,
    ACTIONS(83), 5,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
      anon_sym_LBRACK,
      sym_maybe,
  [7965] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(89), 1,
      anon_sym_AT,
    STATE(173), 1,
      sym_comment,
    ACTIONS(87), 5,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
      anon_sym_LBRACK,
      sym_maybe,
  [7985] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(77), 1,
      anon_sym_AT,
    STATE(174), 1,
      sym_comment,
    ACTIONS(75), 5,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
      anon_sym_LBRACK,
      sym_maybe,
  [8005] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(175), 1,
      sym_comment,
    ACTIONS(361), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [8023] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(176), 1,
      sym_comment,
    ACTIONS(300), 6,
      ts_builtin_sym_end,
      anon_sym_datasource,
      anon_sym_model,
      anon_sym_generator,
      anon_sym_type,
      anon_sym_enum,
  [8041] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(363), 1,
      anon_sym_AT,
    STATE(187), 1,
      sym_attribute,
    STATE(177), 2,
      sym_comment,
      aux_sym_type_declaration_repeat1,
    ACTIONS(304), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8063] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(294), 1,
      anon_sym_LPAREN,
    ACTIONS(329), 1,
      anon_sym_DOT,
    STATE(173), 1,
      sym_arguments,
    STATE(178), 1,
      sym_comment,
    ACTIONS(337), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8087] = 8,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    ACTIONS(368), 1,
      anon_sym_EQ,
    ACTIONS(370), 1,
      aux_sym_identifier_token1,
    STATE(147), 1,
      sym_identifier,
    STATE(176), 1,
      sym_statement_block,
    STATE(179), 1,
      sym_comment,
  [8112] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(374), 1,
      anon_sym_AT,
    STATE(180), 1,
      sym_comment,
    ACTIONS(372), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8130] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(376), 1,
      anon_sym_RBRACE,
    ACTIONS(378), 1,
      aux_sym_identifier_token1,
    STATE(217), 1,
      sym_enumeral,
    STATE(181), 2,
      sym_comment,
      aux_sym_enum_block_repeat1,
  [8150] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(81), 1,
      anon_sym_AT,
    STATE(182), 1,
      sym_comment,
    ACTIONS(79), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8168] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(73), 1,
      anon_sym_AT,
    STATE(183), 1,
      sym_comment,
    ACTIONS(71), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8186] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(381), 1,
      anon_sym_RBRACE,
    ACTIONS(383), 1,
      aux_sym_identifier_token1,
    STATE(181), 1,
      aux_sym_enum_block_repeat1,
    STATE(184), 1,
      sym_comment,
    STATE(217), 1,
      sym_enumeral,
  [8208] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(385), 1,
      anon_sym_COMMA,
    ACTIONS(133), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(185), 2,
      sym_comment,
      aux_sym_arguments_repeat1,
  [8226] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(69), 1,
      anon_sym_AT,
    STATE(186), 1,
      sym_comment,
    ACTIONS(67), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8244] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(388), 1,
      anon_sym_AT,
    STATE(187), 1,
      sym_comment,
    ACTIONS(335), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8262] = 7,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(383), 1,
      aux_sym_identifier_token1,
    ACTIONS(390), 1,
      anon_sym_RBRACE,
    STATE(184), 1,
      aux_sym_enum_block_repeat1,
    STATE(188), 1,
      sym_comment,
    STATE(217), 1,
      sym_enumeral,
  [8284] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(331), 1,
      anon_sym_AT,
    STATE(189), 1,
      sym_comment,
    ACTIONS(286), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8302] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(290), 1,
      anon_sym_DOT,
    ACTIONS(294), 1,
      anon_sym_LPAREN,
    STATE(173), 1,
      sym_arguments,
    STATE(190), 1,
      sym_comment,
  [8321] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(392), 1,
      anon_sym_RBRACK,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(191), 1,
      sym_comment,
  [8340] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(131), 1,
      anon_sym_RBRACK,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(192), 1,
      sym_comment,
  [8359] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(394), 1,
      anon_sym_RPAREN,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(193), 1,
      sym_comment,
  [8378] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(396), 1,
      anon_sym_RBRACK,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(194), 1,
      sym_comment,
  [8397] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(135), 1,
      anon_sym_RPAREN,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(195), 1,
      sym_comment,
  [8416] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(139), 1,
      anon_sym_RBRACK,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(196), 1,
      sym_comment,
  [8435] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(127), 1,
      anon_sym_RBRACK,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(197), 1,
      sym_comment,
  [8454] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(398), 1,
      aux_sym_identifier_token1,
    STATE(149), 1,
      sym_assignment_expression,
    STATE(179), 1,
      sym_identifier,
    STATE(198), 1,
      sym_comment,
  [8473] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(400), 1,
      anon_sym_RPAREN,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(199), 1,
      sym_comment,
  [8492] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(200), 1,
      sym_comment,
    ACTIONS(402), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8507] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(201), 1,
      sym_comment,
    ACTIONS(337), 3,
      anon_sym_RBRACE,
      anon_sym_AT_AT,
      aux_sym_identifier_token1,
  [8522] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(404), 1,
      anon_sym_RBRACK,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(202), 1,
      sym_comment,
  [8541] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_RPAREN,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(203), 1,
      sym_comment,
  [8560] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(406), 1,
      anon_sym_RPAREN,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(204), 1,
      sym_comment,
  [8579] = 6,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(129), 1,
      anon_sym_RPAREN,
    STATE(185), 1,
      aux_sym_arguments_repeat1,
    STATE(205), 1,
      sym_comment,
  [8598] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(398), 1,
      aux_sym_identifier_token1,
    STATE(206), 1,
      sym_comment,
    STATE(210), 1,
      sym_identifier,
  [8614] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(370), 1,
      aux_sym_identifier_token1,
    STATE(22), 1,
      sym_identifier,
    STATE(207), 1,
      sym_comment,
  [8630] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(398), 1,
      aux_sym_identifier_token1,
    STATE(22), 1,
      sym_identifier,
    STATE(208), 1,
      sym_comment,
  [8646] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(398), 1,
      aux_sym_identifier_token1,
    STATE(209), 1,
      sym_comment,
    STATE(220), 1,
      sym_identifier,
  [8662] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(408), 1,
      anon_sym_LBRACE,
    STATE(164), 1,
      sym_enum_block,
    STATE(210), 1,
      sym_comment,
  [8678] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(294), 1,
      anon_sym_LPAREN,
    STATE(173), 1,
      sym_arguments,
    STATE(211), 1,
      sym_comment,
  [8694] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    STATE(175), 1,
      sym_statement_block,
    STATE(212), 1,
      sym_comment,
  [8710] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_arguments,
    STATE(213), 1,
      sym_comment,
  [8726] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(398), 1,
      aux_sym_identifier_token1,
    STATE(212), 1,
      sym_identifier,
    STATE(214), 1,
      sym_comment,
  [8742] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(410), 1,
      aux_sym_identifier_token1,
    STATE(86), 1,
      sym_identifier,
    STATE(215), 1,
      sym_comment,
  [8758] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(216), 1,
      sym_comment,
    ACTIONS(412), 2,
      anon_sym_RBRACE,
      aux_sym_identifier_token1,
  [8772] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    STATE(217), 1,
      sym_comment,
    ACTIONS(414), 2,
      anon_sym_RBRACE,
      aux_sym_identifier_token1,
  [8786] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(398), 1,
      aux_sym_identifier_token1,
    STATE(218), 1,
      sym_comment,
    STATE(221), 1,
      sym_identifier,
  [8802] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(398), 1,
      aux_sym_identifier_token1,
    STATE(167), 1,
      sym_identifier,
    STATE(219), 1,
      sym_comment,
  [8818] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    STATE(171), 1,
      sym_statement_block,
    STATE(220), 1,
      sym_comment,
  [8834] = 5,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(366), 1,
      anon_sym_LBRACE,
    STATE(161), 1,
      sym_statement_block,
    STATE(221), 1,
      sym_comment,
  [8850] = 4,
    ACTIONS(3), 1,
      sym_developer_comment,
    ACTIONS(5), 1,
      aux_sym_comment_token1,
    ACTIONS(416), 1,
      ts_builtin_sym_end,
    STATE(222), 1,
      sym_comment,
  [8863] = 1,
    ACTIONS(418), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(11)] = 0,
  [SMALL_STATE(12)] = 73,
  [SMALL_STATE(13)] = 140,
  [SMALL_STATE(14)] = 213,
  [SMALL_STATE(15)] = 284,
  [SMALL_STATE(16)] = 345,
  [SMALL_STATE(17)] = 400,
  [SMALL_STATE(18)] = 463,
  [SMALL_STATE(19)] = 520,
  [SMALL_STATE(20)] = 588,
  [SMALL_STATE(21)] = 658,
  [SMALL_STATE(22)] = 722,
  [SMALL_STATE(23)] = 770,
  [SMALL_STATE(24)] = 840,
  [SMALL_STATE(25)] = 894,
  [SMALL_STATE(26)] = 946,
  [SMALL_STATE(27)] = 1006,
  [SMALL_STATE(28)] = 1064,
  [SMALL_STATE(29)] = 1111,
  [SMALL_STATE(30)] = 1176,
  [SMALL_STATE(31)] = 1241,
  [SMALL_STATE(32)] = 1288,
  [SMALL_STATE(33)] = 1335,
  [SMALL_STATE(34)] = 1382,
  [SMALL_STATE(35)] = 1429,
  [SMALL_STATE(36)] = 1476,
  [SMALL_STATE(37)] = 1531,
  [SMALL_STATE(38)] = 1580,
  [SMALL_STATE(39)] = 1627,
  [SMALL_STATE(40)] = 1674,
  [SMALL_STATE(41)] = 1737,
  [SMALL_STATE(42)] = 1790,
  [SMALL_STATE(43)] = 1849,
  [SMALL_STATE(44)] = 1917,
  [SMALL_STATE(45)] = 1993,
  [SMALL_STATE(46)] = 2065,
  [SMALL_STATE(47)] = 2141,
  [SMALL_STATE(48)] = 2197,
  [SMALL_STATE(49)] = 2273,
  [SMALL_STATE(50)] = 2333,
  [SMALL_STATE(51)] = 2409,
  [SMALL_STATE(52)] = 2463,
  [SMALL_STATE(53)] = 2539,
  [SMALL_STATE(54)] = 2603,
  [SMALL_STATE(55)] = 2675,
  [SMALL_STATE(56)] = 2751,
  [SMALL_STATE(57)] = 2827,
  [SMALL_STATE(58)] = 2903,
  [SMALL_STATE(59)] = 2946,
  [SMALL_STATE(60)] = 3012,
  [SMALL_STATE(61)] = 3082,
  [SMALL_STATE(62)] = 3152,
  [SMALL_STATE(63)] = 3222,
  [SMALL_STATE(64)] = 3284,
  [SMALL_STATE(65)] = 3350,
  [SMALL_STATE(66)] = 3420,
  [SMALL_STATE(67)] = 3490,
  [SMALL_STATE(68)] = 3548,
  [SMALL_STATE(69)] = 3618,
  [SMALL_STATE(70)] = 3666,
  [SMALL_STATE(71)] = 3736,
  [SMALL_STATE(72)] = 3790,
  [SMALL_STATE(73)] = 3860,
  [SMALL_STATE(74)] = 3910,
  [SMALL_STATE(75)] = 3965,
  [SMALL_STATE(76)] = 4032,
  [SMALL_STATE(77)] = 4099,
  [SMALL_STATE(78)] = 4166,
  [SMALL_STATE(79)] = 4217,
  [SMALL_STATE(80)] = 4284,
  [SMALL_STATE(81)] = 4351,
  [SMALL_STATE(82)] = 4396,
  [SMALL_STATE(83)] = 4443,
  [SMALL_STATE(84)] = 4510,
  [SMALL_STATE(85)] = 4569,
  [SMALL_STATE(86)] = 4636,
  [SMALL_STATE(87)] = 4677,
  [SMALL_STATE(88)] = 4740,
  [SMALL_STATE(89)] = 4803,
  [SMALL_STATE(90)] = 4870,
  [SMALL_STATE(91)] = 4910,
  [SMALL_STATE(92)] = 4972,
  [SMALL_STATE(93)] = 5012,
  [SMALL_STATE(94)] = 5052,
  [SMALL_STATE(95)] = 5110,
  [SMALL_STATE(96)] = 5150,
  [SMALL_STATE(97)] = 5190,
  [SMALL_STATE(98)] = 5230,
  [SMALL_STATE(99)] = 5280,
  [SMALL_STATE(100)] = 5320,
  [SMALL_STATE(101)] = 5374,
  [SMALL_STATE(102)] = 5420,
  [SMALL_STATE(103)] = 5460,
  [SMALL_STATE(104)] = 5502,
  [SMALL_STATE(105)] = 5564,
  [SMALL_STATE(106)] = 5621,
  [SMALL_STATE(107)] = 5682,
  [SMALL_STATE(108)] = 5743,
  [SMALL_STATE(109)] = 5804,
  [SMALL_STATE(110)] = 5865,
  [SMALL_STATE(111)] = 5926,
  [SMALL_STATE(112)] = 5987,
  [SMALL_STATE(113)] = 6036,
  [SMALL_STATE(114)] = 6081,
  [SMALL_STATE(115)] = 6130,
  [SMALL_STATE(116)] = 6179,
  [SMALL_STATE(117)] = 6228,
  [SMALL_STATE(118)] = 6277,
  [SMALL_STATE(119)] = 6326,
  [SMALL_STATE(120)] = 6366,
  [SMALL_STATE(121)] = 6406,
  [SMALL_STATE(122)] = 6446,
  [SMALL_STATE(123)] = 6486,
  [SMALL_STATE(124)] = 6526,
  [SMALL_STATE(125)] = 6566,
  [SMALL_STATE(126)] = 6606,
  [SMALL_STATE(127)] = 6646,
  [SMALL_STATE(128)] = 6690,
  [SMALL_STATE(129)] = 6730,
  [SMALL_STATE(130)] = 6770,
  [SMALL_STATE(131)] = 6810,
  [SMALL_STATE(132)] = 6850,
  [SMALL_STATE(133)] = 6890,
  [SMALL_STATE(134)] = 6930,
  [SMALL_STATE(135)] = 6970,
  [SMALL_STATE(136)] = 7010,
  [SMALL_STATE(137)] = 7048,
  [SMALL_STATE(138)] = 7086,
  [SMALL_STATE(139)] = 7124,
  [SMALL_STATE(140)] = 7162,
  [SMALL_STATE(141)] = 7198,
  [SMALL_STATE(142)] = 7223,
  [SMALL_STATE(143)] = 7254,
  [SMALL_STATE(144)] = 7293,
  [SMALL_STATE(145)] = 7321,
  [SMALL_STATE(146)] = 7348,
  [SMALL_STATE(147)] = 7373,
  [SMALL_STATE(148)] = 7400,
  [SMALL_STATE(149)] = 7427,
  [SMALL_STATE(150)] = 7454,
  [SMALL_STATE(151)] = 7482,
  [SMALL_STATE(152)] = 7512,
  [SMALL_STATE(153)] = 7534,
  [SMALL_STATE(154)] = 7564,
  [SMALL_STATE(155)] = 7594,
  [SMALL_STATE(156)] = 7613,
  [SMALL_STATE(157)] = 7640,
  [SMALL_STATE(158)] = 7667,
  [SMALL_STATE(159)] = 7694,
  [SMALL_STATE(160)] = 7713,
  [SMALL_STATE(161)] = 7731,
  [SMALL_STATE(162)] = 7749,
  [SMALL_STATE(163)] = 7773,
  [SMALL_STATE(164)] = 7791,
  [SMALL_STATE(165)] = 7809,
  [SMALL_STATE(166)] = 7827,
  [SMALL_STATE(167)] = 7847,
  [SMALL_STATE(168)] = 7867,
  [SMALL_STATE(169)] = 7885,
  [SMALL_STATE(170)] = 7903,
  [SMALL_STATE(171)] = 7927,
  [SMALL_STATE(172)] = 7945,
  [SMALL_STATE(173)] = 7965,
  [SMALL_STATE(174)] = 7985,
  [SMALL_STATE(175)] = 8005,
  [SMALL_STATE(176)] = 8023,
  [SMALL_STATE(177)] = 8041,
  [SMALL_STATE(178)] = 8063,
  [SMALL_STATE(179)] = 8087,
  [SMALL_STATE(180)] = 8112,
  [SMALL_STATE(181)] = 8130,
  [SMALL_STATE(182)] = 8150,
  [SMALL_STATE(183)] = 8168,
  [SMALL_STATE(184)] = 8186,
  [SMALL_STATE(185)] = 8208,
  [SMALL_STATE(186)] = 8226,
  [SMALL_STATE(187)] = 8244,
  [SMALL_STATE(188)] = 8262,
  [SMALL_STATE(189)] = 8284,
  [SMALL_STATE(190)] = 8302,
  [SMALL_STATE(191)] = 8321,
  [SMALL_STATE(192)] = 8340,
  [SMALL_STATE(193)] = 8359,
  [SMALL_STATE(194)] = 8378,
  [SMALL_STATE(195)] = 8397,
  [SMALL_STATE(196)] = 8416,
  [SMALL_STATE(197)] = 8435,
  [SMALL_STATE(198)] = 8454,
  [SMALL_STATE(199)] = 8473,
  [SMALL_STATE(200)] = 8492,
  [SMALL_STATE(201)] = 8507,
  [SMALL_STATE(202)] = 8522,
  [SMALL_STATE(203)] = 8541,
  [SMALL_STATE(204)] = 8560,
  [SMALL_STATE(205)] = 8579,
  [SMALL_STATE(206)] = 8598,
  [SMALL_STATE(207)] = 8614,
  [SMALL_STATE(208)] = 8630,
  [SMALL_STATE(209)] = 8646,
  [SMALL_STATE(210)] = 8662,
  [SMALL_STATE(211)] = 8678,
  [SMALL_STATE(212)] = 8694,
  [SMALL_STATE(213)] = 8710,
  [SMALL_STATE(214)] = 8726,
  [SMALL_STATE(215)] = 8742,
  [SMALL_STATE(216)] = 8758,
  [SMALL_STATE(217)] = 8772,
  [SMALL_STATE(218)] = 8786,
  [SMALL_STATE(219)] = 8802,
  [SMALL_STATE(220)] = 8818,
  [SMALL_STATE(221)] = 8834,
  [SMALL_STATE(222)] = 8850,
  [SMALL_STATE(223)] = 8863,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [19] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 4),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [27] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 4),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [43] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_expression, 3),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [53] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 2),
  [55] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1),
  [57] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1),
  [59] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 3),
  [61] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 3),
  [63] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [65] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [67] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [69] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [71] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [73] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [77] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [79] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [81] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [83] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [85] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [87] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2),
  [89] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 2),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_expression, 3),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 1),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(218),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(209),
  [277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(214),
  [280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(198),
  [283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(206),
  [286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2),
  [288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_type, 1),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_type, 1),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(138),
  [309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3, .production_id = 1),
  [311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, .production_id = 1),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2),
  [315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2),
  [317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(139),
  [320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 2), SHIFT_REPEAT(152),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 2),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 1),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_attribute_declaration, 2),
  [339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 3),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_datasource_declaration, 3),
  [343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_declaration, 3),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3),
  [351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 2),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_declaration, 2),
  [359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_model_declaration, 3),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_declaration, 3),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(136),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_type, 2),
  [374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_type, 2),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 2),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 2), SHIFT_REPEAT(216),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(113),
  [388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_declaration_repeat1, 1),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statement_block_repeat1, 1),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeral, 1),
  [414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 1),
  [416] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_prisma(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
